#ifndef PAMVMCTRK_F77_GPCSPE
#define PAMVMCTRK_F77_GPCSPE


#include <TObject.h>
#include <TClonesArray.h>
#include "PamRootManager.h"
#include <iostream>

using std::cout;
using std::endl; 
// structures for C++ <=> COMMON data exchange

#include "PamVMCTrkHit.h"


struct cGPCSPE  {
  Int_t nxmult;
  Int_t nymult;
  Float_t xave;
  Float_t yave;
  Float_t zave;  

    void SetHit(PamVMCTrkHit * hit){
    hit->SetNXMULT(nxmult);
    hit->SetNYMULT(nymult);
    hit->SetXAVESPE(xave);
    hit->SetYAVESPE(yave);
    hit->SetZAVESPE(zave);
   }
} ;

extern "C" {
  extern struct cGPCSPE gpcspe_;
}

    
#endif
    
